IBM Support

Security Bulletin: Vulnerability in Diffie-Hellman ciphers affects FileNet Content Manager, IBM Content Foundation and FileNet BPM (CVE-2015-4000)

Security Bulletin


Summary

The Logjam Attack on TLS connections using the Diffie-Hellman (DH) key exchange protocol affects FileNet Content Manager, IBM Content Foundation and FileNet Business Process Manager.

Vulnerability Details

CVEID: CVE-2015-4000
DESCRIPTION:
The TLS protocol could allow a remote attacker to obtain sensitive information, caused by the failure to properly convey a DHE_EXPORT ciphersuite choice. An attacker could exploit this vulnerability using man-in-the-middle techniques to force a downgrade to 512-bit export-grade cipher. Successful exploitation could allow an attacker to recover the session key as well as modify the contents of the traffic. This vulnerability is commonly referred to as "Logjam".

CVSS Base Score: 4.3
CVSS Temporal Score: See https://exchange.xforce.ibmcloud.com/vulnerabilities/103294 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (AV:N/AC:M/Au:N/C:P/I:N/A:N)

Affected Products and Versions

FileNet Content Manager 5.1.0, 5.2.0, 5.2.1
IBM Content Foundation 5.2.0, 5.2.1
FileNet Business Process Manager 4.5.1, 5.0.0, 5.2.0

Remediation/Fixes

Install IBM Java Runtime Environment (JRE) v1.6 SR16 FP5 or higher which is provided in the following releases in the table below.

Product VRMF APAR Remediation/First Fix
FileNet Content Manager 5.1.0
5.2.0
5.2.1
PJ43346
PJ43346
PJ43340
PJ43342
PJ43342
5.2.0.3-P8CPE-IF007 - August 4, 2015
5.2.1.2-P8CPE-IF001 - August 4, 2015
5.1.0.0-P8CSS-IF013 - July 31, 2015
5.2.0.2-P8CSS-IF005 - August 4, 2015
5.2.1.2-P8CSS-IF001 - August 4, 2015
IBM Content Foundation 5.2.0
5.2.1
PJ43346
PJ43346
PJ43342
PJ43342
5.2.0.3-P8CPE-IF007 - August 4, 2015
5.2.1.2-P8CPE-IF001 - August 4, 2015
5.2.0.2-P8CSS-IF005 - August 4, 2015
5.2.1.2-P8CSS-IF001 - August 4, 2015
FileNet Business Process Manager 4.5.1
5.0.0
5.2.0
PJ43344
PJ43345
PJ43345PJ43347
4.5.1.4-P8PE-IF008 - August 4, 2015
5.0.0.8-P8PE-IF002 - August 4, 2015
5.0.0.9-P8PE-FP009 - July 31, 2015
eProcess-5.2.0-001.006 (Win, Sol, AIX, HP, HPUX only) - August 4, 2015

Releases available from Fix Central: http://www.ibm.com/support/fixcentral/

IBM recommends that you review your entire environment to identify other areas where you have enabled the Diffie-Hellman key-exchange protocol used in TLS and take appropriate mitigation and remediation actions.

Workarounds and Mitigations

None

Get Notified about Future Security Bulletins

Important note

IBM strongly suggests that all System z customers be subscribed to the System z Security Portal to receive the latest critical System z security and integrity service. If you are not subscribed, see the instructions on the System z Security web site. Security and integrity APARs and associated fixes will be posted to this portal. IBM suggests reviewing the CVSS scores and applying all security or integrity fixes as soon as possible to minimize any potential risk.

References

Complete CVSS v2 Guide
On-line Calculator v2

Related information

IBM Secure Engineering Web Portal
IBM Product Security Incident Response Blog

Acknowledgement

Reported to IBM by The WeakDH team at https://weakdh.org

Change History

4 August 2015: Original Version Published

*The CVSS Environment Score is customer environment specific and will ultimately impact the Overall CVSS Score. Customers can evaluate the impact of this vulnerability in their environments by accessing the links in the Reference section of this Security Bulletin.

Disclaimer

According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.


Cross reference information
Segment Product Component Platform Version Edition
Enterprise Content Management FileNet Content Manager Content Platform Engine AIX, HP-UX, Linux, Solaris, Windows 5.2.1, 5.2.0
Enterprise Content Management FileNet eProcess AIX, Solaris, Windows 5.2
Enterprise Content Management FileNet P8 Platform Process Engine Windows, AIX, HP-UX, Linux, Solaris 5.0, 4.5.1

Document information

More support for: FileNet Content Manager
Content Search Services

Software version: 5.1.0, 5.2.0, 5.2.1

Operating system(s): AIX, Linux, Solaris, Windows

Reference #: 1960191

Modified date: 07 December 2016


Translate this page: